<?php

declare(strict_types=1);

namespace Drupal\og\Annotation;

use Drupal\Core\Annotation\Translation;
use Drupal\Component\Annotation\Plugin;

/**
 * Defines a OgDeleteOrphans annotation object.
 *
 * @Annotation
 */
class OgDeleteOrphans extends Plugin {

  /**
   * The plugin ID.
   */
  public string $id;

  /**
   * The human-readable name of the plugin.
   *
   * @ingroup plugin_translatable
   */
  public Translation $label;

  /**
   * A short description of the plugin.
   *
   * @ingroup plugin_translatable
   */
  public Translation $description;

}
