<?php

declare(strict_types=1);

namespace Drupal\og\Annotation;

use Drupal\Core\Annotation\Translation;
use Drupal\Component\Annotation\Plugin;

/**
 * Defines the OgGroupResolver annotation object.
 *
 * @see \Drupal\og\OgGroupResolverPluginManager
 * @see plugin_api
 *
 * @Annotation
 */
class OgGroupResolver extends Plugin {

  /**
   * The plugin ID.
   */
  public string $id;

  /**
   * The label of the plugin.
   *
   * @ingroup plugin_translatable
   */
  public Translation $label;

}
