<?php

declare(strict_types=1);

namespace Drupal\og\Plugin\Action;

use Drupal\Core\Action\Attribute\Action;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Adds multiple roles to a group membership.
 */
#[Action(
  id: 'og_membership_add_multiple_roles_action',
  label: new TranslatableMarkup('Add roles to the selected members'),
  confirm_form_route_name: 'og.add_multiple_roles_confirm',
  type: 'og_membership',
)]
class AddMultipleOgMembershipRoles extends ChangeMultipleOgMembershipRolesBase {
}
