<?php

declare(strict_types=1);

namespace Drupal\og\Plugin\Action;

use Drupal\Core\Action\Attribute\Action;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Removes multiple roles from a group membership.
 */
#[Action(
  id: 'og_membership_remove_multiple_roles_action',
  label: new TranslatableMarkup('Remove roles from the selected members'),
  confirm_form_route_name: 'og.remove_multiple_roles_confirm',
  type: 'og_membership',
)]
class RemoveMultipleOgMembershipRoles extends ChangeMultipleOgMembershipRolesBase {
}
